tigase.jaxmpp.core.client.xmpp.modules.socks5

## Interface Socks5BytestreamsModule.StreamhostsHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    Socks5BytestreamsModule

      public static interface Socks5BytestreamsModule.StreamhostsHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Socks5BytestreamsModule.StreamhostsHandler.StreamhostsEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStreamhostsHandler(SessionObject sessionObject, JID from, String id, String sid, List<Streamhost> hosts)`

- - ### Method Detail

    - #### onStreamhostsHandler

          void onStreamhostsHandler(SessionObject sessionObject,
                                    JID from,
                                    String id,
                                    String sid,
                                    List<Streamhost> hosts)
                             throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.